#include <bits/stdc++.h>

using namespace std;

void resi(int a[], int n, int k){
    int pom[2*n+1] = {0}, t = 0, resenje[n];
    for(int i = 0;i < n;i++)
        pom[a[i] + n]++;
    for(int i = 0;i < 2*n+1;i++)
        if(pom[i] >= k){
            resenje[t] = i - n;
            t++;
        }
    cout << t << '\n';
    for(int i = 0;i < t;i++)
        cout << resenje[i] << " ";
}

int main(){
    ios::sync_with_stdio(false);
    int n, k;
    cin >> n >> k;
    int a[n];
    for(int i = 0;i < n;i++) cin >> a[i];
    resi(a, n, k);
    return 0;
}